Page MenuHomeFreeBSD

sysutils/vagrant: update to 1.7.2
ClosedPublic

Authored by mmoll on Jun 26 2015, 10:21 PM.
Tags
None
Referenced Files
Unknown Object (File)
Apr 27 2017, 12:26 PM
Unknown Object (File)
Apr 27 2017, 12:26 PM
Unknown Object (File)
Apr 11 2017, 1:52 PM
Unknown Object (File)
Apr 7 2017, 12:20 AM
Unknown Object (File)
Apr 4 2017, 9:15 AM
Unknown Object (File)
Mar 13 2017, 8:18 AM
Unknown Object (File)
Mar 2 2017, 5:52 PM
Unknown Object (File)
Feb 24 2017, 3:32 PM
Subscribers
None

Details

Summary

I have two positive reports about a slightly earlier patchset from two people. Unfortunantely the maintainer did not react to any of my mails, so I would commit this and the dependent differentials after obtaining clearance here.
Proposed commit message:

sysutils/vagrant: update to 1.7.2

- switch to USE_GITHUB
- cleanup RUN_DEPENDS

Approved by:	swills (mentor), mat (mentor), Joe Benden (maintainer, timeout)
Test Plan

poudriere: http://space.kvedulv.de/FreeBSD/vagrant/
portlint:

mmoll@marduk:/svn/ports/sysutils/vagrant$ portlint -ACNc
WARN: /svn/ports/sysutils/vagrant/pkg-plist: [2]: enumerating info files in the plist is deprecated in favor of adding info files into the Makefile using the INFO macro.
WARN: Makefile: [0]: possible direct use of command "install" found. use ${INSTALL_foobaa} instead.
WARN: /svn/ports/sysutils/vagrant/files/patch-vagrant-is-vagrant-installer.patch: patch was not generated using ``make makepatch''.  It is recommended to use ``make makepatch'' to ensure proper patch format.
0 fatal errors and 3 warnings found.

Diff Detail

Repository
rP FreeBSD ports repository
Lint
Lint Not Applicable
Unit
Tests Not Applicable

Event Timeline

mmoll retitled this revision from to sysutils/vagrant: update to 1.7.2.
mmoll updated this object.
mmoll edited the test plan for this revision. (Show Details)
sysutils/vagrant/Makefile
16 ↗(On Diff #6484)

Shouldn't this be 1.7?

35 ↗(On Diff #6484)

Should set DISTVERSIONPREFIX instead.

sysutils/vagrant/Makefile
34 ↗(On Diff #6484)

That should go, it's the default.

mmoll added inline comments.
sysutils/vagrant/Makefile
17 ↗(On Diff #6487)

The gemspec says ">=1.5.3, <1.8.0" and does indeed not work with newer bundler versions (which was the reason why sysutils/bundler17 was created). However, I try to reflect the versions in the gemspec in ports Makefiles.

Address mat's comment, then we can approve.

should already be addressed within Diff 6487

swills edited edge metadata.

Ah, great, sorry, misread. Approved!

This revision is now accepted and ready to land.Jun 30 2015, 8:27 PM
This revision was automatically updated to reflect the committed changes.